import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { RPCService } from '@loafer/ng-rpc';
import { MetaProbeVersion } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaProbeVersionService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAll(): Observable<MetaProbeVersion[]> {
    return this.rpcService.call('MetaProbeVersionService.readAll');
  }
}
